org.apache.cxf.interceptor.security

## Class JAASAuthenticationFeature

- java.lang.Object
- - javax.xml.ws.WebServiceFeature
  - - org.apache.cxf.feature.AbstractFeature
    - - org.apache.cxf.feature.DelegatingFeature<JAASAuthenticationFeature.Portable>
      - - org.apache.cxf.interceptor.security.JAASAuthenticationFeature

- All Implemented Interfaces:
    AbstractPortableFeature, Feature

      public class JAASAuthenticationFeature
      extends DelegatingFeature<JAASAuthenticationFeature.Portable>

  Feature to do JAAS authentication with defaults for karaf integration

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `JAASAuthenticationFeature.Portable`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `ID`

    - ### Fields inherited from class org.apache.cxf.feature.DelegatingFeature

      `delegate`

    - ### Fields inherited from class javax.xml.ws.WebServiceFeature

      `enabled`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JAASAuthenticationFeature()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getID()`
    `void` | `setContextName(String contextName)`
    `void` | `setReportFault(boolean reportFault)`

    - ### Methods inherited from class org.apache.cxf.feature.DelegatingFeature

      `getDelegate, initialize, initialize, initialize, initialize, initializeProvider, setDelegate`

    - ### Methods inherited from class org.apache.cxf.feature.AbstractFeature

      `doInitializeProvider, getActive, isEnabled`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ID

          public static final String ID

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### JAASAuthenticationFeature

          public JAASAuthenticationFeature()

  - ### Method Detail

    - #### setContextName

          public void setContextName(String contextName)

    - #### setReportFault

          public void setReportFault(boolean reportFault)

    - #### getID

          public String getID()

      Overrides:
        `getID` in class `AbstractFeature`

Apache CXF